Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.index
Class TagIndexListener

    java.lang.Object
      net.sourceforge.pebble.index.TagIndexListener

All Implemented Interfaces:
  BlogEntryListener

    public class TagIndexListener

extends java.lang.Object
implements BlogEntryListener

Constructor Summary
`TagIndexListener()`

Method Summary
`void` | `blogEntryAdded(BlogEntryEvent event)` Called when a blog entry has been added.
`void` | `blogEntryChanged(BlogEntryEvent event)` Called when a blog entry has been changed.
`void` | `blogEntryPublished(BlogEntryEvent event)` Called when a blog entry has been published.
`void` | `blogEntryRemoved(BlogEntryEvent event)` Called when a blog entry has been removed.
`void` | `blogEntryUnpublished(BlogEntryEvent event)` Called when a blog entry has been unpublished.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagIndexListener

    public TagIndexListener()

Method Detail

### blogEntryAdded

    public void blogEntryAdded(BlogEntryEvent event)

  Called when a blog entry has been added.

  Specified by:
    `blogEntryAdded` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryRemoved

    public void blogEntryRemoved(BlogEntryEvent event)

  Called when a blog entry has been removed.

  Specified by:
    `blogEntryRemoved` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryChanged

    public void blogEntryChanged(BlogEntryEvent event)

  Called when a blog entry has been changed.

  Specified by:
    `blogEntryChanged` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryPublished

    public void blogEntryPublished(BlogEntryEvent event)

  Called when a blog entry has been published.

  Specified by:
    `blogEntryPublished` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryUnpublished

    public void blogEntryUnpublished(BlogEntryEvent event)

  Called when a blog entry has been unpublished.

  Specified by:
    `blogEntryUnpublished` in interface `BlogEntryListener`
  Parameters:
    `event` - a BlogEntryEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.